voiceName, description, and style. The system will validate the recording and create a reusable custom voice.voiceId through the voice record query endpoint:callBackUrl parameter to receive automatic notifications when the custom voice is generated, rather than polling the status endpoint.voiceId. You can use this ID in supported Suno generation endpoints that accept a custom voice.curl --location 'https://api.kie.ai/api/v1/voice/generate' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"taskId": "voice_create_001",
"verifyUrl": "https://example.com/audio/verify_read.mp3",
"voiceName": "My Voice",
"description": "created from uploaded voice",
"style": "Pop, Female Vocal",
"callBackUrl": "https://example.com/callback/suno/voice_create"
}'{
"code": 200,
"msg": "success",
"data": {
"taskId": "xxx_task_id_xxx"
}
}